# Interface MessageTransmitterInterface

#### Hierarchy

- Interface
  - MessageTransmitterInterface

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:26

#####
Index

### Methods

decodeFunctionResult
encodeFunctionData
getEvent
getFunction

## Methods

### decodeFunctionResult

- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "acceptOwnership"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:183
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "attesterManager"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:187
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "disableAttester"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:191
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "enableAttester"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:195
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "getEnabledAttester"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:199
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "getNumEnabledAttesters"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:203
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "isEnabledAttester"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:207
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "localDomain"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:211
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "maxMessageBodySize"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:215
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "nextAvailableNonce"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:219
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "owner"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:223
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "pause"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:224
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "paused"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:225
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "pauser"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:226
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "pendingOwner"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:227
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "receiveMessage"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:231
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "replaceMessage"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:235
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "rescueERC20"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:239
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "rescuer"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:243
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "sendMessage"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:244
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "sendMessageWithCaller"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:248
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "setMaxMessageBodySize"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:252
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "setSignatureThreshold"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:256
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "signatureThreshold"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:260
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "transferOwnership"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:264
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "unpause"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:268
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "updateAttesterManager"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:269
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "updatePauser"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:273
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "updateRescuer"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:277
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "usedNonces"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:281
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "version"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:282

### encodeFunctionData

- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "acceptOwnership"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:79
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "attesterManager"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:83
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "disableAttester"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:87
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "enableAttester"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:91
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "getEnabledAttester"

  - ##### values: [BigNumberish]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:95
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "getNumEnabledAttesters"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:99
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "isEnabledAttester"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:103
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "localDomain"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:107
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "maxMessageBodySize"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:111
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "nextAvailableNonce"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:115
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "owner"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:119
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "pause"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:120
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "paused"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:121
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "pauser"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:122
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "pendingOwner"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:123
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "receiveMessage"

  - ##### values: [BytesLike, BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:127
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "replaceMessage"

  - ##### values: [BytesLike, BytesLike, BytesLike, BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:131
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "rescueERC20"

  - ##### values: [AddressLike, AddressLike, BigNumberish]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:135
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "rescuer"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:139
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "sendMessage"

  - ##### values: [BigNumberish, BytesLike, BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:140
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "sendMessageWithCaller"

  - ##### values: [BigNumberish, BytesLike, BytesLike, BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:144
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "setMaxMessageBodySize"

  - ##### values: [BigNumberish]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:148
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "setSignatureThreshold"

  - ##### values: [BigNumberish]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:152
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "signatureThreshold"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:156
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "transferOwnership"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:160
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "unpause"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:164
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "updateAttesterManager"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:165
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "updatePauser"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:169
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "updateRescuer"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:173
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "usedNonces"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:177
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "version"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:181

### getEvent

- getEvent(nameOrSignatureOrTopic): EventFragment

- #### Parameters

  - ##### nameOrSignatureOrTopic: "OwnershipTransferStarted" | "OwnershipTransferred" | "RescuerChanged" | "AttesterDisabled" | "AttesterEnabled" | "AttesterManagerUpdated" | "MaxMessageBodySizeUpdated" | "MessageReceived" | "MessageSent" | "Pause" | "PauserChanged" | "SignatureThresholdUpdated" | "Unpause"

  #### Returns EventFragment

  Overrides Interface.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:62

### getFunction

- getFunction(nameOrSignature): FunctionFragment

- #### Parameters

  - ##### nameOrSignature: "version" | "owner" | "pendingOwner" | "paused" | "acceptOwnership" | "rescueERC20" | "rescuer" | "transferOwnership" | "updateRescuer" | "attesterManager" | "disableAttester" | "enableAttester" | "getEnabledAttester" | "getNumEnabledAttesters" | "isEnabledAttester" | "localDomain" | "maxMessageBodySize" | "nextAvailableNonce" | "pause" | "pauser" | "receiveMessage" | "replaceMessage" | "sendMessage" | "sendMessageWithCaller" | "setMaxMessageBodySize" | "setSignatureThreshold" | "signatureThreshold" | "unpause" | "updateAttesterManager" | "updatePauser" | "usedNonces"

  #### Returns FunctionFragment

  Overrides Interface.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:27

Generated using TypeDoc